Name:		cwstudio
Summary:	Morse code practice software with extended features
Version:	0.9.6
%define subrel  1
Release:	%mkrel 8
License:	GPLv2
Url:		http://cwstudio.sourceforge.net/
Group:		Communications/Radio
Source0:	http://downloads.sourceforge.net/project/%{name}/%{name}-%{version}.tar.gz
Source1:	%{name}.png

BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	wxgtk-devel

%description
CWStudio is a fast, computationally efficient and portable generator of various
CW signals for telegraphy training purposes.
Besides efficiency and portability, it is designed to simulate as accurately
as possible real receiving conditions.
It can generate signals of various complexity, from one sine signal without any
noise, to AGC-like complex signals mixed with possible hum, chirp, detuning,
hand irregularities and so on.
The interface is a clean easy to use, modern GUI.

This package also installs CWCURSES which is a retro TUI (text user interface)
version.

It also installs the CWCLI batch generator and player. See the man page.

%prep
%setup -q

%build
libtoolize --copy --force --install
aclocal
automake -acf

%configure

%make_build

%install
%make_install

# Icon
mkdir %{buildroot}%{_iconsdir}
install -m755 %{SOURCE1} %{buildroot}%{_iconsdir}/%{name}.png

# Desktop file
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Comment[en_GB]=Fully featured Morse code tutor
Comment=Fully featured Morse code tutor
Exec=cwwx
Icon=%{name}
Name=CWStudio
Name[en_GB]=CWStudio
GenericName=CWStudio
GenericName[en_GB]=CWStudio
Type=Application
StartupNotify=true
Categories=Education;HamRadio;X-Mageia-CrossDesktop;

EOF

%files
%doc AUTHORS README
%{_bindir}/cwwx
%{_bindir}/cwcurses
%{_bindir}/cwcli
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png
%{_mandir}/man1/%{name}.1*


%changelog
* Wed Jan 05 2022 wally <wally> 0.9.6-8.1.mga8
+ Revision: 1766964
- rebuild for wxgtk 3.1.5 (mga#29848)

* Fri Jan 01 2021 wally <wally> 0.9.6-8.mga8
+ Revision: 1667693
- rebuild for wxgtk pre 3.1.5 snapshot

* Sun Aug 16 2020 wally <wally> 0.9.6-7.mga8
+ Revision: 1614331
- rebuild for new wxgtk 3.1.4

* Tue Feb 18 2020 umeabot <umeabot> 0.9.6-6.mga8
+ Revision: 1538010
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Nov 12 2019 wally <wally> 0.9.6-5.mga8
+ Revision: 1459456
- rebuild for wxgtk 3.1.3

* Mon Jul 08 2019 wally <wally> 0.9.6-4.mga8
+ Revision: 1419522
- rebuild for wxgtk 3.1.2 with 2.8 compatibility

* Sun Jul 07 2019 wally <wally> 0.9.6-3.mga8
+ Revision: 1419343
- rebuild with gtk3 enabled wxgtk 3.1.2

* Sun Sep 23 2018 umeabot <umeabot> 0.9.6-2.mga7
+ Revision: 1297388
- Mageia 7 Mass Rebuild

* Wed Dec 27 2017 barjac <barjac> 0.9.6-1.mga7
+ Revision: 1185518
- new version 0.9.6

* Tue Sep 12 2017 cjw <cjw> 0.9.5-3.mga7
+ Revision: 1153128
- use configure2_5x instead of old configure macro

* Sat Jun 03 2017 akien <akien> 0.9.5-2.mga6
+ Revision: 1106088
- Rebuild for wxgtk 3.0.3.1

* Sat Jan 28 2017 barjac <barjac> 0.9.5-1.mga6
+ Revision: 1083894
- new version 0.9.5

* Mon Dec 12 2016 barjac <barjac> 0.9.4-2.mga6
+ Revision: 1074428
- patched to current svn which fixes several upstream bugs
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Nov 18 2015 barjac <barjac> 0.9.4-1.mga6
+ Revision: 903923
- Import new package cwstudio

